import request from '@/utils/request'
export default class siteInspectionService {
    // 保存
    save(inputForm) {
        return request.post(
            '/religiousinformationno/religiousInformationNo/save',
            inputForm
        )
    }
	//原先接口
	save1(inputForm) {
	    return request.post(
	        '/religiousinformation/religiousInformation/save',
	        inputForm
	    )
	}
    keepOnRecord(ids) {
       
        return request.post(
            '/csjcqk/siteInspection/keepOnRecord',{},{ids: ids}
        )
    }
    keepOnRecordNO(ids) {
        return request.post(
            '/csjcqk/siteInspection/keepOnRecordNO',{},{ids: ids}
        )
    }
    queryById(id) {
        return request.get(
            '/religiousinformationno/religiousInformationNo/queryById', { id: id }
        )
    };
	//原先接口
	queryById1(id) {
	    return request.get(
	        '/religiousinformation/religiousInformation/queryById', { id: id }
	    )
	};
    list(params) {
        return request.get(
            `/religiousinformationno/religiousInformationNo/list`,
            params
        )
    }
	//原先接口
	list1(params) {
	    return request.get(
	        `/religiousinformation/religiousInformation/list`,
	        params
	    )
	}
    delete(ids) {
        return request.delete(
            '/religiousinformationno/religiousInformationNo/delete', { ids: ids }
        )
    }
	//原先接口
	delete1(ids) {
	    return request.delete(
	        '/religiousinformation/religiousInformation/delete', { ids: ids }
	    )
	}
}
